%define version 0.7.23
%define name	vcdimager

%define major 0
%define libname %mklibname vcd %{major}
%define cdiover 0.72

Name:		%{name}
Version:	%{version}
Release:	%mkrel 9
Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPL
Group:          Video
Source:         http://www.vcdimager.org/pub/vcdimager/vcdimager-0.7/%name-%version.tar.bz2
URL:            http://www.vcdimager.org
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libxml2-devel
BuildRequires:  libcdio-devel >= %cdiover
BuildRequires:  popt-devel
BuildRequires:  automake1.8

%description 
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries
Provides: libvcd = %version-%release
Requires: libcdio >= %cdiover

%description -n %{libname}
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}-devel
Summary: Devel files from %name
Group: Development/C
Requires: %{libname} = %version
Requires: libcdio-devel >= %cdiover
Provides: libvcd-devel = %version-%release 

 
%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel 
Summary: Static Library for developing applications with %name
Group: Development/C
Requires: %libname-devel = %version

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%configure2_5x --enable-maintainer-mode
%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std
 
%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%_install_info vcdimager.info

%preun
%_remove_install_info vcdimager.info

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files
%defattr(-, root, root)
%doc NEWS README
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxgen
%{_bindir}/vcdxrip
%{_bindir}/vcdxbuild
%{_bindir}/vcdxminfo
%{_bindir}/cdxa2mpeg
%{_infodir}/*
%{_mandir}/man1/*
%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog AUTHORS TODO
%_includedir/libvcd
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a




%changelog
* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.23-9mdv2010.0
+ Revision: 427490
- rebuild

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.7.23-8mdv2009.1
+ Revision: 297784
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.23-7mdv2009.0
+ Revision: 225916
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.23-6mdv2008.1
+ Revision: 179677
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.23-5mdv2008.0
+ Revision: 90343
- rebuild


* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.23-4mdv2007.0
+ Revision: 108129
- Import vcdimager

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.23-4mdv2007.1
- Rebuild

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.7.23-3mdk
- rebuild for new libiso9660 (x86_64)

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.23-2mdk
- rebuild for new libcdio
- use mkrel

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 0.7.23-1mdk
- new version

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.7.22-1mdk
- new source URL
- New release 0.7.22

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.21-3mdk
- rebuild for new libcdio

* Wed Feb 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7.21-2mdk
- rebuild for new libcdio

* Wed Dec 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.21-1mdk
- new source URL
- new version

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.21-0.20041121.1mdk
- drop patches
- new snapshot for new libcdio

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-5mdk
- rebuild for new libcdio

* Sat Jul 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-4mdk
- drop generic docs
- reenable libtoolize
- patch 1 to fix build

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-3mdk
- fix source url
- build against libcdio 0.68
- fix pkgconfig file
- don't run libtoolize
- official final vcdimager

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-2mdk
- fix deps

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-1mdk
- enable maintainer mode for the man pages
- requires new libcdio
- use the mdkversion macro
- new version

